Auth

Choose a 2FA method

Use this method to specify which 2FA method (the Google Authenticator app or SMS codes) should be used for authentication in the Trader's Room if both 2FA methods are enabled for a client.

POST
/api/v2/my/signin/2fa

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/signin/2fa" \  -H "Content-Type: application/json" \  -d '{    "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732",    "type": "sms"  }'
{  "code": 200,  "data": null,  "done": false,  "uuid": "36f59381-5b54-48bd-a0c7-3b908c476732",  "workflow": "2fa_sms_auth"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}